.fnc {
  /* you can add color names and their values here
  and then simply add classes like .m--blend-$colorName to .fnc-slide 
  to apply specific color for mask blend mode */
}
.fnc-slider {
  overflow: hidden;
  box-sizing: border-box;
  position: relative;
  height: 100vh;
}
.fnc-slider *,
.fnc-slider *:before,
.fnc-slider *:after {
  box-sizing: border-box;
}
.fnc-slider__slides {
  position: relative;
  height: 100%;
  transition: -webkit-transform 1s 0.6666666667s;
  transition: transform 1s 0.6666666667s;
  transition: transform 1s 0.6666666667s, -webkit-transform 1s 0.6666666667s;
}
.fnc-slider .m--blend-dark .fnc-slide__inner {
  background-color: #8a8a8a;
}
.fnc-slider .m--blend-dark .fnc-slide__mask-inner {
  background-color: #575757;
}
.fnc-slider .m--navbg-dark {
  background-color: #575757;
}
.fnc-slider .m--blend-green .fnc-slide__inner {
  background-color: #6d9b98;
}
.fnc-slider .m--blend-green .fnc-slide__mask-inner {
  background-color: #42605e;
}
.fnc-slider .m--navbg-green {
  background-color: #42605e;
}
.fnc-slider .m--blend-red .fnc-slide__inner {
  background-color: #ea2329;
}
.fnc-slider .m--blend-red .fnc-slide__mask-inner {
  background-color: #990e13;
}
.fnc-slider .m--navbg-red {
  background-color: #990e13;
}
.fnc-slider .m--blend-blue .fnc-slide__inner {
  background-color: #59aecb;
}
.fnc-slider .m--blend-blue .fnc-slide__mask-inner {
  background-color: #2d7791;
}
.fnc-slider .m--navbg-blue {
  background-color: #2d7791;
}
.fnc-slide {
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.fnc-slide.m--before-sliding {
  z-index: 2 !important;
  -webkit-transform: translate3d(100%, 0, 0);
  transform: translate3d(100%, 0, 0);
}
.fnc-slide.m--active-slide {
  z-index: 1;
  transition: -webkit-transform 1s 0.6666666667s ease-in-out;
  transition: transform 1s 0.6666666667s ease-in-out;
  transition: transform 1s 0.6666666667s ease-in-out,
    -webkit-transform 1s 0.6666666667s ease-in-out;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.fnc-slide__inner {
  position: relative;
  height: 100%;
  background-size: cover;
  background-position: center top;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.m--global-blending-active .fnc-slide__inner,
.m--blend-bg-active .fnc-slide__inner {
  background-blend-mode: luminosity;
}
.m--before-sliding .fnc-slide__inner {
  -webkit-transform: translate3d(-100%, 0, 0);
  transform: translate3d(-100%, 0, 0);
}
.m--active-slide .fnc-slide__inner {
  transition: -webkit-transform 1s 0.6666666667s ease-in-out;
  transition: transform 1s 0.6666666667s ease-in-out;
  transition: transform 1s 0.6666666667s ease-in-out,
    -webkit-transform 1s 0.6666666667s ease-in-out;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.fnc-slide__mask {
  overflow: hidden;
  z-index: 1;
  position: absolute;
  right: 60%;
  top: 15%;
  width: 50.25vh;
  height: 67vh;
  margin-right: -90px;
  -webkit-clip-path: polygon(
    0 0,
    100% 0,
    100% 100%,
    0 100%,
    0 0,
    6vh 0,
    6vh 61vh,
    44vh 61vh,
    44vh 6vh,
    6vh 6vh
  );
  clip-path: polygon(
    0 0,
    100% 0,
    100% 100%,
    0 100%,
    0 0,
    6vh 0,
    6vh 61vh,
    44vh 61vh,
    44vh 6vh,
    6vh 6vh
  );
  -webkit-transform-origin: 50% 0;
  transform-origin: 50% 0;
  transition-timing-function: ease-in-out;
  overflow: hidden;
  z-index: 1;
  position: absolute;
  right: 60%;
  top: 8%;
  width: 50.25vh;
  height: 67vh;
  transition-timing-function: ease-in-out;
  display: none;
}
.m--before-sliding .fnc-slide__mask {
  -webkit-transform: rotate(-10deg) translate3d(200px, 0, 0);
  transform: rotate(-10deg) translate3d(200px, 0, 0);
  opacity: 0;
}
.m--active-slide .fnc-slide__mask {
  transition: opacity 0.35s 1.2222222222s, -webkit-transform 0.7s 1.2222222222s;
  transition: transform 0.7s 1.2222222222s, opacity 0.35s 1.2222222222s;
  transition: transform 0.7s 1.2222222222s, opacity 0.35s 1.2222222222s,
    -webkit-transform 0.7s 1.2222222222s;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  opacity: 1;
}
.m--previous-slide .fnc-slide__mask {
  transition: opacity 0.35s 0.6833333333s, -webkit-transform 0.7s 0.3333333333s;
  transition: transform 0.7s 0.3333333333s, opacity 0.35s 0.6833333333s;
  transition: transform 0.7s 0.3333333333s, opacity 0.35s 0.6833333333s,
    -webkit-transform 0.7s 0.3333333333s;
  -webkit-transform: rotate(10deg) translate3d(-200px, 0, 0);
  transform: rotate(10deg) translate3d(-200px, 0, 0);
  opacity: 0;
}
.fnc-slide__mask-inner {
  z-index: -1;
  position: absolute;
  left: 50%;
  top: 50%;
  width: 100vw;
  height: 100vh;
  margin-left: -50vw;
  margin-top: -50vh;
  background-size: cover;
  background-position: center center;
  background-blend-mode: luminosity;
  -webkit-transform-origin: 50% 16.5vh;
  transform-origin: 50% 16.5vh;
  transition-timing-function: ease-in-out;
}
.m--before-sliding .fnc-slide__mask-inner {
  -webkit-transform: translateY(0) rotate(10deg) translateX(-200px)
    translateZ(0);
  transform: translateY(0) rotate(10deg) translateX(-200px) translateZ(0);
}
.m--active-slide .fnc-slide__mask-inner {
  transition: -webkit-transform 0.7s 1.2222222222s;
  transition: transform 0.7s 1.2222222222s;
  transition: transform 0.7s 1.2222222222s, -webkit-transform 0.7s 1.2222222222s;
  -webkit-transform: translateX(0);
  transform: translateX(0);
}
.m--previous-slide .fnc-slide__mask-inner {
  transition: -webkit-transform 0.7s 0.3333333333s;
  transition: transform 0.7s 0.3333333333s;
  transition: transform 0.7s 0.3333333333s, -webkit-transform 0.7s 0.3333333333s;
  -webkit-transform: translateY(0) rotate(-10deg) translateX(200px)
    translateZ(0);
  transform: translateY(0) rotate(-10deg) translateX(200px) translateZ(0);
}
.fnc-slide__content {
  display: flex;
  z-index: 2;
  position: absolute;
  left: 50%;
  bottom: 35%;
  transform: translate(-50%, -50%);
  width: 90%;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.fnc-slide__content h2 {
  font-family: Roboto;
  letter-spacing: 0.05em;
  font-weight: 900;
  color: #fff;
  font-size: 50px;
  text-align: center;
  text-shadow: 1px 0px 1px #000000;

}

.fnc-slide__content h4{
  color: #fff;
  font-weight: 400;
  text-align: center;
  padding: 15px;
  width: 80%;
  font-size: 18px;
  letter-spacing: 0.05em;
  line-height: 1.5;
  text-shadow: 1px 0px 2px #000;
}

.fnc-slide__heading {
  margin-bottom: 10px;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  flex-direction: row;
}
.fnc-slide__heading-line {
  overflow: hidden;
  position: relative;
  padding-right: 0px;
  margin-left: -15px;
  font-size: 30px;
  color: #fff;
  word-spacing: 10px;
  font-weight: 600;
}
.fnc-slide__heading-line:nth-child(2) {
  padding-left: 30px;
}
.m--before-sliding .fnc-slide__heading-line {
  -webkit-transform: translateY(100%);
  transform: translateY(100%);
}
.m--active-slide .fnc-slide__heading-line {
  transition: -webkit-transform 1.5s 1s;
  transition: transform 1.5s 1s;
  transition: transform 1.5s 1s, -webkit-transform 1.5s 1s;
  -webkit-transform: translateY(0);
  transform: translateY(0);
}
.m--previous-slide .fnc-slide__heading-line {
  transition: -webkit-transform 1.5s;
  transition: transform 1.5s;
  transition: transform 1.5s, -webkit-transform 1.5s;
  -webkit-transform: translateY(-100%);
  transform: translateY(-100%);
}
.fnc-slide__heading-line span {
  display: block;
}
.m--before-sliding .fnc-slide__heading-line span {
  -webkit-transform: translateY(-100%);
  transform: translateY(-100%);
}
.m--active-slide .fnc-slide__heading-line span {
  transition: -webkit-transform 1.5s 1s;
  transition: transform 1.5s 1s;
  transition: transform 1.5s 1s, -webkit-transform 1.5s 1s;
  -webkit-transform: translateY(0);
  transform: translateY(0);
}
.m--previous-slide .fnc-slide__heading-line span {
  transition: -webkit-transform 1.5s;
  transition: transform 1.5s;
  transition: transform 1.5s, -webkit-transform 1.5s;
  -webkit-transform: translateY(100%);
  transform: translateY(100%);
}
.fnc-slide__action-btn {
  position: relative;
  margin-left: 200px;
  padding: 8px 20px;
  font-size: 25px;
  line-height: 1;
  color: transparent;
  border: none;
  text-transform: uppercase;
  background: transparent;
  cursor: pointer;
  text-align: center;
  outline: none;
  display: none;
}

.fnc-slide__action-btn span {
  position: absolute;
  left: -80%;
  top: 20%;
  width: 100%;
  height: 100%;
  -webkit-perspective: 1000px;
  perspective: 1000px;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  transition: -webkit-transform 0.3s;
  transition: transform 0.3s;
  transition: transform 0.3s, -webkit-transform 0.3s;
  -webkit-transform-origin: 50% 0;
  transform-origin: 50% 0;
  line-height: 30px;
  color: #fff;
}
.fnc-slide__action-btn span:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border: 2px solid #fff;
  border-top: none;
  border-bottom: none;
}
.fnc-slide__action-btn span:after {
  content: "Read More";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  line-height: 36px;
  background: #ff8500;
  opacity: 1;
  -webkit-transform-origin: 50% 0;
  transform-origin: 50% 0;
  /* -webkit-transform: translateY(100%) rotateX(-90deg); */
  /* transform: translateY(100%) rotateX(-90deg); */
  transition: opacity 0.15s 0.15s;
  -webkit-box-shadow: -1px 0px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: -1px 0px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: -1px 0px 5px 0px rgba(0, 0, 0, 0.75);
}
/* .fnc-slide__action-btn:hover span {
  -webkit-transform: rotateX(90deg);
  transform: rotateX(90deg);
} */
.fnc-slide__action-btn:hover span:after {
  opacity: 1;
  transition: opacity 0.15s;
  background-color: #ff9d34;
}
.fnc-slide__action-btn:hover span {
  /* -webkit-transform: rotateX(90deg); */
  /* transform: rotateX(90deg); */
}
.fnc-slide__action-btn:hover span:after {
  opacity: 1;
  transition: opacity 0.15s;
}
.fnc-nav {
  z-index: 5;
  position: absolute;
  right: 0px;
  bottom: 10%;
  display: none;
}

.fnc-nav__bgs {
  z-index: -1;
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}
.fnc-nav__bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}
.fnc-nav__bg.m--nav-bg-before {
  z-index: 2 !important;
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
}
.fnc-nav__bg.m--active-nav-bg {
  z-index: 1;
  transition: -webkit-transform 1s 0.6666666667s;
  transition: transform 1s 0.6666666667s;
  transition: transform 1s 0.6666666667s, -webkit-transform 1s 0.6666666667s;
  -webkit-transform: translateX(0);
  transform: translateX(0);
}
.fnc-nav__controls {
  font-size: 0;
}
.fnc-nav__control {
  overflow: hidden;
  position: relative;
  display: inline-block;
  vertical-align: top;
  width: 100px;
  height: 50px;
  font-size: 14px;
  color: #fff;
  text-transform: uppercase;
  background: transparent;
  border: none;
  outline: none;
  cursor: pointer;
  transition: background-color 0.5s;
}
.fnc-nav__control.m--active-control {
  background: #1f2833;
}
.fnc-nav__control-progress {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 2px;
  background: #fff;
  -webkit-transform-origin: 0 50%;
  transform-origin: 0 50%;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  transition-timing-function: linear !important;
}
.m--with-autosliding .m--active-control .fnc-nav__control-progress {
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
}
.m--prev-control .fnc-nav__control-progress {
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
  transition: -webkit-transform 0.5s !important;
  transition: transform 0.5s !important;
  transition: transform 0.5s, -webkit-transform 0.5s !important;
}
.m--reset-progress .fnc-nav__control-progress {
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  transition: -webkit-transform 0s 0s !important;
  transition: transform 0s 0s !important;
  transition: transform 0s 0s, -webkit-transform 0s 0s !important;
}
.m--autosliding-blocked .fnc-nav__control-progress {
  transition: all 0s 0s !important;
  -webkit-transform: scaleX(0) !important;
  transform: scaleX(0) !important;
}

/* NOT PART OF COMMON SLIDER STYLES */
body {
  margin: 0;
}

.demo-cont {
  overflow: hidden;
  position: relative;
  height: 90vh;
  -webkit-perspective: 1500px;
  perspective: 1500px;
  background: #000;
}
.demo-cont__credits {
  box-sizing: border-box;
  overflow-y: auto;
  z-index: 1;
  position: absolute;
  right: 0;
  top: 0;
  width: 400px;
  height: 100%;
  padding: 20px 10px 30px;
  background: #303030;
  font-family: "Open Sans", Helvetica, Arial, sans-serif;
  color: #fff;
  text-align: center;
  transition: -webkit-transform 0.7s;
  transition: transform 0.7s;
  transition: transform 0.7s, -webkit-transform 0.7s;
  -webkit-transform: translate3d(100%, 0, 0) rotateY(-45deg);
  transform: translate3d(100%, 0, 0) rotateY(-45deg);
  will-change: transform;
}
.credits-active .demo-cont__credits {
  transition: -webkit-transform 0.7s 0.2333333333s;
  transition: transform 0.7s 0.2333333333s;
  transition: transform 0.7s 0.2333333333s, -webkit-transform 0.7s 0.2333333333s;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.demo-cont__credits *,
.demo-cont__credits *:before,
.demo-cont__credits *:after {
  box-sizing: border-box;
}
.demo-cont__credits-close {
  position: absolute;
  right: 20px;
  top: 20px;
  width: 28px;
  height: 28px;
  cursor: pointer;
}
.demo-cont__credits-close:before,
.demo-cont__credits-close:after {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  height: 2px;
  margin-top: -1px;
  background: #fff;
}
.demo-cont__credits-close:before {
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
.demo-cont__credits-close:after {
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
.demo-cont__credits-heading {
  text-transform: uppercase;
  font-size: 40px;
  margin-bottom: 20px;
}
.demo-cont__credits-img {
  display: block;
  width: 60%;
  margin: 0 auto 30px;
  border-radius: 10px;
}
.demo-cont__credits-name {
  margin-bottom: 20px;
  font-size: 30px;
}
.demo-cont__credits-link {
  display: block;
  margin-bottom: 10px;
  font-size: 24px;
  color: #fff;
}
.demo-cont__credits-blend {
  font-size: 30px;
  margin-bottom: 10px;
}

.example-slider {
  z-index: 2;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  transition: -webkit-transform 0.7s;
  transition: transform 0.7s;
  transition: transform 0.7s, -webkit-transform 0.7s;
}
.credits-active .example-slider {
  -webkit-transform: translate3d(-400px, 0, 0) rotateY(10deg) scale(0.9);
  transform: translate3d(-400px, 0, 0) rotateY(10deg) scale(0.9);
}
.example-slider .fnc-slide-1 .fnc-slide__inner,
.example-slider .fnc-slide-1 .fnc-slide__mask-inner {
  background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("../images/slider/slider1.webp");
}
.example-slider .fnc-slide-2 .fnc-slide__inner,
.example-slider .fnc-slide-2 .fnc-slide__mask-inner {
  background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("../images/slider/cr=w_800,h_500,a_cc (2).webp");
}
.example-slider .fnc-slide-3 .fnc-slide__inner,
.example-slider .fnc-slide-3 .fnc-slide__mask-inner {
  background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("../images/slider/cr=w_800,h_500,a_cc (1).webp");
}
.example-slider .fnc-slide-3 .fnc-slide__inner:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
}
.example-slider .fnc-slide-4 .fnc-slide__inner,
.example-slider .fnc-slide-4 .fnc-slide__mask-inner {
  background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("../images/slider/cr=w_800,h_500,a_cc (3).webp");
}
.example-slider .fnc-slide-4 .fnc-slide__inner:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.2);
}
.example-slider .fnc-slide__heading,
.example-slider .fnc-slide__action-btn,
.example-slider .fnc-nav__control {
  font-family: "Open Sans", Helvetica, Arial, sans-serif;
}

/* COLORFUL SWITCH STYLES 
   ORIGINAL DEMO - https://codepen.io/suez/pen/WQjwOb */
.colorful-switch {
  position: relative;
  width: 180px;
  height: 77.1428571429px;
  margin: 0 auto;
  border-radius: 32.1428571429px;
  background: #cfcfcf;
}
.colorful-switch:before {
  content: "";
  z-index: -1;
  position: absolute;
  left: -5px;
  top: -5px;
  width: 190px;
  height: 87.1428571429px;
  border-radius: 37.1428571429px;
  background: #314239;
  transition: background-color 0.3s;
}
.colorful-switch:hover:before {
  background: #4c735f;
}
.colorful-switch__checkbox {
  z-index: -10;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}
.colorful-switch__label {
  z-index: 1;
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 32.1428571429px;
  cursor: pointer;
}
.colorful-switch__bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 540px;
  height: 100%;
  background: linear-gradient(
    90deg,
    #14dcd6 0,
    #10e7bd 180px,
    #ef9c29 360px,
    #e76339 100%
  );
  transition: -webkit-transform 0.5s;
  transition: transform 0.5s;
  transition: transform 0.5s, -webkit-transform 0.5s;
  -webkit-transform: translate3d(-360px, 0, 0);
  transform: translate3d(-360px, 0, 0);
}
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__bg {
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.colorful-switch__dot {
  position: absolute;
  left: 131.1428571429px;
  top: 50%;
  width: 5.1428571429px;
  height: 5.1428571429px;
  margin-left: -2.5714285714px;
  margin-top: -2.5714285714px;
  border-radius: 50%;
  background: #fff;
  transition: -webkit-transform 0.5s;
  transition: transform 0.5s;
  transition: transform 0.5s, -webkit-transform 0.5s;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__dot {
  -webkit-transform: translate3d(-80.3571428571px, 0, 0);
  transform: translate3d(-80.3571428571px, 0, 0);
}
.colorful-switch__on {
  position: absolute;
  left: 104.1428571429px;
  top: 22.5px;
  width: 19.2857142857px;
  height: 36px;
  transition: -webkit-transform 0.5s;
  transition: transform 0.5s;
  transition: transform 0.5s, -webkit-transform 0.5s;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__on {
  -webkit-transform: translate3d(-80.3571428571px, 0, 0);
  transform: translate3d(-80.3571428571px, 0, 0);
}
.colorful-switch__on__inner {
  position: absolute;
  width: 100%;
  height: 100%;
  transition: -webkit-transform 0.25s 0s cubic-bezier(0.52, -0.96, 0.51, 1.28);
  transition: transform 0.25s 0s cubic-bezier(0.52, -0.96, 0.51, 1.28);
  transition: transform 0.25s 0s cubic-bezier(0.52, -0.96, 0.51, 1.28),
    -webkit-transform 0.25s 0s cubic-bezier(0.52, -0.96, 0.51, 1.28);
  -webkit-transform-origin: 100% 50%;
  transform-origin: 100% 50%;
  -webkit-transform: rotate(45deg) scale(0) translateZ(0);
  transform: rotate(45deg) scale(0) translateZ(0);
}
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__on__inner {
  transition: -webkit-transform 0.25s 0.25s
    cubic-bezier(0.67, -0.16, 0.47, 1.61);
  transition: transform 0.25s 0.25s cubic-bezier(0.67, -0.16, 0.47, 1.61);
  transition: transform 0.25s 0.25s cubic-bezier(0.67, -0.16, 0.47, 1.61),
    -webkit-transform 0.25s 0.25s cubic-bezier(0.67, -0.16, 0.47, 1.61);
  -webkit-transform: rotate(45deg) scale(1) translateZ(0);
  transform: rotate(45deg) scale(1) translateZ(0);
}
.colorful-switch__on__inner:before,
.colorful-switch__on__inner:after {
  content: "";
  position: absolute;
  border-radius: 2.5714285714px;
  background: #fff;
}
.colorful-switch__on__inner:before {
  left: 0;
  bottom: 0;
  width: 100%;
  height: 6.1428571429px;
}
.colorful-switch__on__inner:after {
  right: 0;
  top: 0;
  width: 6.1428571429px;
  height: 100%;
}
.colorful-switch__off {
  position: absolute;
  left: 131.1428571429px;
  top: 50%;
  width: 41.1428571429px;
  height: 41.1428571429px;
  margin-left: -20.5714285714px;
  margin-top: -20.5714285714px;
  transition: -webkit-transform 0.5s;
  transition: transform 0.5s;
  transition: transform 0.5s, -webkit-transform 0.5s;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__off {
  -webkit-transform: translate3d(-80.3571428571px, 0, 0);
  transform: translate3d(-80.3571428571px, 0, 0);
}
.colorful-switch__off:before,
.colorful-switch__off:after {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  height: 5.1428571429px;
  margin-top: -2.5714285714px;
  border-radius: 2.5714285714px;
  background: #fff;
  transition: -webkit-transform 0.25s 0.25s;
  transition: transform 0.25s 0.25s;
  transition: transform 0.25s 0.25s, -webkit-transform 0.25s 0.25s;
}
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__off:before,
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__off:after {
  transition-delay: 0s;
}
.colorful-switch__off:before {
  -webkit-transform: rotate(45deg) scaleX(1) translateZ(0);
  transform: rotate(45deg) scaleX(1) translateZ(0);
}
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__off:before {
  -webkit-transform: rotate(45deg) scaleX(0) translateZ(0);
  transform: rotate(45deg) scaleX(0) translateZ(0);
}
.colorful-switch__off:after {
  transition-timing-function: cubic-bezier(0.67, -0.16, 0.47, 1.61);
  -webkit-transform: rotate(-45deg) scaleX(1) translateZ(0);
  transform: rotate(-45deg) scaleX(1) translateZ(0);
}
.colorful-switch__checkbox:checked
  ~ .colorful-switch__label
  .colorful-switch__off:after {
  transition-timing-function: ease;
  -webkit-transform: rotate(-45deg) scaleX(0) translateZ(0);
  transform: rotate(-45deg) scaleX(0) translateZ(0);
}
/* custome */

footer {
  /* color: #fff !important; */
}

.footer_social_links a {
  /* color: #fff !important; */
}

.dd-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
}

.front-view {
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url(../images/ss.png);
  /* background-attachment: fixed; */
  background-color: rgba(0, 0, 0, 0.4);
  background-size: cover;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 999;
}

.front-view i {
  font-size: 10rem;
  color: #fff;
  cursor: pointer;
  margin-bottom: 5rem;
  transition: all 0.5s;
}

.front-view i:hover {
  font-size: 10rem;
  color: rgb(241, 239, 205);
  cursor: pointer;
  margin-bottom: 5rem;
  transition: all 0.5s;
}

.front-view h2 {
  font-size: 1.8rem;
  color: #fff;
  cursor: pointer;
  text-transform: uppercase;
  text-shadow: 0px 0px 3px #000;
}

#dd-container {
  position: relative;
}

#dd-container i {
  position: absolute;
  top: 10%;
  right: 10%;
  font-size: 6rem;
  color: #1d1d1d;
  cursor: pointer;
  transition: 1s;
}

#dd-container i:hover {
  color: #ff8500;
  cursor: pointer;
  transition: 1s;
}
.gallary_header-3d {
  font-family: Roboto;
  font-style: normal;
  font-weight: 900;
  font-size: 4rem;
  line-height: 5rem;
  color: #131212;
  position: relative;
  margin-top: 2rem;
  text-shadow: 0px 0px 1px #000;
  margin-bottom: 7rem;
}

.gallary_header-3d::after {
  content: "";
  width: 10%;
  height: 0.2rem;
  background-color: #f28405;
  position: absolute;
  bottom: -30%;
  left: 45%;
}

.gallary_header-3d::before {
  content: "";
  width: 10%;
  height: 0.2rem;
  background-color: #f28405;
  position: absolute;
  bottom: -30%;
  left: 45%;
}

.virtual {
  background-image: linear-gradient(
      rgba(190, 190, 190, 0.9),
      rgba(190, 190, 190, 0.9)
    ),
    url(../images/bg.jpg);
  padding: 3% 0%;
}

.gallary_header {
  font-family: Roboto;
  font-style: normal;
  font-weight: 900;
  font-size: 4rem;
  line-height: 5rem;
  color: #f9f9f9;
  position: relative;
  margin-top: 17rem;
}
.first .gallary_header {
  margin-top: 7rem;
}
.gallary_header::after {
  content: "";
  width: 10%;
  height: 0.2rem;
  background-color: #f28405;
  position: absolute;
  bottom: -30%;
  left: 45%;
}

.gallary_header::before {
  content: "";
  width: 10%;
  height: 0.2rem;
  background-color: #f28405;
  position: absolute;
  bottom: -30%;
  left: 45%;
}

#carousel {
  position: relative;
  z-index: 0;
  margin: 0 -65px;
}

.carousel-3d-slider {
  width: 700px;
  height: 500px;
}

.carousel-3d-container figure {
  margin: 0;
}

.carousel-3d-container img {
  width: 400px;
  height: 320px;
}
.carousel-3d-container figcaption {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  bottom: 0;
  position: absolute;
  bottom: 0;
  padding: 15px;
  font-size: 12px;
  min-width: 100%;
  box-sizing: border-box;
}

.my-10rem {
  margin-top: 10rem;
  margin-bottom: 10rem;
}

body {
  background-color: #1f2833;
  background-image: linear-gradient(
      rgba(190, 190, 190, 0.9),
      rgba(190, 190, 190, 0.9)
    ),
    url(../images/bg.jpg);
}

.main_body {
  background-image: linear-gradient(rgba(0, 0, 0, 0.9), rgba(0, 0, 0, 0.9)),
    url(../images/bg.jpg);
  padding: 3% 10%;
}

@media (max-width: 830px) {
  .fnc-slide__content {
    z-index: 2;
    position: absolute;
    left: 50%;
    bottom: 35%;
    transform: translate(-50%, -50%);
    width: 90%;
  }

  .fnc-slide__heading-line {
    overflow: hidden;
    position: relative;
    padding-right: 0px;
    margin-left: -15px;
    font-size: 30px;
    color: #fff;
    word-spacing: 10px;
  }
}

@media (max-width: 416px) {
  .fnc-slide__action-btn {
    padding: 8px 20px;
  }
  .fnc-slide__action-btn span {
    position: absolute;
    left: -68%;
    top: 30px;
    width: 100%;
    height: 100%;
    -webkit-perspective: 1000px;
    perspective: 1000px;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    transition: -webkit-transform 0.3s;
    transition: transform 0.3s;
    transition: transform 0.3s, -webkit-transform 0.3s;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    line-height: 30px;
    color: #fff;
  }

  .fnc-slide__content {
    z-index: 2;
    position: absolute;
    font-weight: bold !important;
    text-align: center;
    left: 50%;
    bottom: 30%;
    transform: translate(-50%, -50%);
    width: 90%;
  }

  .fnc-slide__content h2 {
    font-family: Roboto;
    letter-spacing: 0.05em;
    font-weight: 900;
    color: #fff;
    font-size: 32px;
    text-align: center;
    text-shadow: 1px 0px 1px #000000;
  
  }
  
  .fnc-slide__content h4{
    color: #fff;
    font-weight: 400;
    text-align: center;
    padding: 10px;
    width: 80%;
    font-size: 14px;
    letter-spacing: 0.05em;
    line-height: 1.5;
    text-shadow: 1px 0px 2px #000;
  }

  .fnc-slide__heading-line {
    overflow: hidden;
    position: relative;
    padding-right: 0px;
    margin-left: 10px;
    font-size: 25px;
    color: #fff;
    word-spacing: 10px;
  }
  .fnc-slide__heading-line:nth-child(2) {
    font-weight: bold !important;
    padding-left: 0;
  }
  .gallary_header::after {
    content: "";
    width: 10%;
    height: 0.2rem;
    background-color: #f28405;
    position: absolute;
    bottom: -15%;
    left: 45%;
  }

  .gallary_header::before {
    content: "";
    width: 10%;
    height: 0.2rem;
    background-color: #f28405;
    position: absolute;
    bottom: -15%;
    left: 45%;
  }

  #carousel {
    position: relative;
    z-index: 0;
    margin: 0 -30px;
  }
}

@media (max-width: 375px) {

  .fnc-slide__content {
    z-index: 2;
    position: absolute;
    font-weight: bold !important;
    text-align: center;
    left: 50%;
    bottom: 15%;
    transform: translate(-50%, -50%);
    width: 90%;
  }

  .fnc-slide__content h2 {
    font-family: Roboto;
    letter-spacing: 0.05em;
    font-weight: 900;
    color: #fff;
    font-size: 32px;
    text-align: center;
    text-shadow: 1px 0px 1px #000000;
  
  }
  
  .fnc-slide__content h4{
    color: #fff;
    font-weight: 400;
    text-align: center;
    padding: 10px;
    width: 80%;
    font-size: 14px;
    letter-spacing: 0.05em;
    line-height: 1.5;
    text-shadow: 1px 0px 2px #000;
  }


  .fnc-slide__action-btn span {
    position: absolute;
    left: -68%;
    top: 25px;
    width: 100%;
    height: 100%;
    -webkit-perspective: 1000px;
    perspective: 1000px;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    transition: -webkit-transform 0.3s;
    transition: transform 0.3s;
    transition: transform 0.3s, -webkit-transform 0.3s;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    line-height: 30px;
    color: #fff;
  }
  .fnc-slide__heading-line {
    overflow: hidden;
    position: relative;
    padding-right: 0px;
    margin-left: 10px;
    font-size: 25px;
    color: #fff;
    word-spacing: 10px;
  }
  .fnc-slide__heading-line:nth-child(2) {
    font-weight: bold !important;
    padding-left: 0;
  }
  .gallary_header::after {
    content: "";
    width: 10%;
    height: 0.2rem;
    background-color: #f28405;
    position: absolute;
    bottom: -15%;
    left: 45%;
  }

  .gallary_header::before {
    content: "";
    width: 10%;
    height: 0.2rem;
    background-color: #f28405;
    position: absolute;
    bottom: -15%;
    left: 45%;
  }

  #carousel {
    position: relative;
    z-index: 0;
    margin: 0 -20px;
  }
}

button:focus {
  outline: none !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  line-height: 1.2;
}

/* #dd-container,
.front-view {
  overflow: hidden !important;
  margin-left: 18.5% !important;
} */

/* 
@media (max-width: 1800px) {
  #dd-container,
  .front-view {
    overflow: hidden;
    margin-left: 18.5%;
  }
} */

.demo-cont__credits-close:hover {
  color: #f28405;
  border-color: #f28405;
}

.demo-cont__credits-close {
  position: absolute;
  right: 40%;
  top: 70%;
  width: 70px !important;
  height: 70px !important;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border: 5px solid #f9f9f9;
  border-top: none;
  border-bottom: none;
  padding: 10px;
}

.box {
  width: 250px;
  height: 250px;
  background-size: cover;
  background-repeat: no-repeat;
  color: #fff;
  font-size: 60px;
  cursor: pointer;
  border: 5px solid #fff;
  transition: all 0.5s;
}

.box:hover {
  color: #f28405;
  text-shadow: 2px 2px 2px #000000;
  border: 15px solid #fff;
  border-radius: 5px;
  transition: all 0.5s;
}
.font-20 {
  font-size: 20px !important;
}


.fnc-slider i.fas.fa-angle-down {
  font-size: 40px;
  position: absolute;
  bottom: 16%;
  left: 50%;
  animation: fadein 1s infinite ease-in;
}




@keyframes fadein {
  /* from { transform: translate3d(0, 0, 0);     }
  to   { transform: translate3d(0, 10px, 0); } */
  0%{
    opacity: 0;
    transform: translateY(0%);
  }
  80% {
    opacity: 1;
    transform: translateY(100%);
  }
  82%{
    opacity: 0;
  }
  100% {
    opacity: 0;
    transform: translateY(0%);
  }
}




.viewport img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  width: auto;
  height: 100%;
  opacity: 0;
}

.viewport img:first-child {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  width: auto;
  height: 100%;
  opacity: 1;
}


